import com.dowstats.configuration.StorageConfig
import com.dowstats.data.entities.ArmorType
import com.dowstats.data.entities.Mod
import com.dowstats.data.entities.Race
import com.dowstats.service.w40k.*
import io.mockk.junit5.MockKExtension
import io.mockk.mockk
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.extension.ExtendWith
import java.io.DataInputStream
import java.io.File
import kotlin.test.assertEquals

@ExtendWith(MockKExtension::class)
class BuildingRgdExtractServiceTest {

    val modAttribPathService = ModAttribPathService(StorageConfig())
    val iconService = mockk<IconsService>()
    val addonRgdExtractService = mockk<BuildingAddonRgdExtractService>()

    val rgdService =  RgdParserService()

}